/* Ejemplo de uso de la clase Estudiante. Notad que los metodos de la
   clase se invocan sobre un objeto de la misma */

#include "utils.PRAP"
#include "Estudiante.hpp"

/* Redondear, version funcion; requiere un estudiante con nota */

Estudiante redondear_e_f(const Estudiante & est)
{
 double notaR = ((int) (10 * (est.consultar_nota() + 0.05))) / 10.0;
 Estudiante est2;
 est2.crear_estudiante(est.consultar_DNI());
 est2.anadir_nota(notaR);
 return est2;
}

/* Redondear, version accion: nos podemos ahorrar el Estudiante
   auxiliar. Esto es interesante cuando no sea necesario conservar los
   datos originales; requiere un estudiante con nota */

void redondear_e_a(Estudiante & est)
{
  est.modificar_nota(((int) (10 * (est.consultar_nota() + 0.05))) / 10.0);
}


int main()
{
   Estudiante est;
  cout << "Escribe un estudiante <DNI nota>" << endl;
  est.leer_estudiante();
  if (est.tiene_nota()) { 
    est=redondear_e_f(est);	// version funcion
    //redondear_e_a(&est);    // version accion
  }

  cout << "El estudiante con la nota redondeada, o NP: " <<endl;
  est.escribir_estudiante();
}
