#ifndef ESTUDIANTE_HPP
#define ESTUDIANTE_HPP

/*
 * Clase Estudiante
 */

class Estudiante {

private:    
  int DNI;
  double nota;
  bool tieneNota;
  static const int MAX_NOTA = 10;
  /* Se podria incluir como campo normal, para poder manejar distintos
     maximos segun la situacion */

public:

  /* Constructoras */
  Estudiante();

  /* Destructora por defecto */
  ~Estudiante();

  /* Consultoras de los campos */
  bool tiene_nota() const;
  double consultar_nota() const;
  int consultar_DNI() const;

  /* Modificadoras de los campos */
  void crear_estudiante(int dni);
  void anadir_nota(double nota);
  void modificar_nota(double nota);

  /* Copiadora de la clase */
  // No hace falta; con esta implementación se puede asignar normalmente

  /* Entrada / Salida */
  void leer_estudiante();
  void escribir_estudiante() const;
};

///////////////////////////////////////////////////////////////////////////////

#endif
