#ifndef POLI_HPP
#define POLI_HPP
#include <vector>

/*
 * Clase Poli
 */

class Poli {

  /* Se podria incluir como campo normal, para poder manejar distintos
     maximos segun la situacion */

private:
  vector<int> coefs;
  int grau; // no se puede llamar igual que la consultora
  static const int MAX_GRADO = 10;

public:

  /* Constructoras */
  Poli();
  Poli(int);

  /* Destructora por defecto */
  ~Poli();

  /* Consultoras de los campos */
  int grado_maximo() const;
  int grado() const;
  int coef(int i) const;

  /* Modificadoras de los campos */
  void crear_poli(int c, int i);
  void modif_coef(int c, int i);
  void suma_poli(const Poli & p);

  /* Copiadora de la clase */
  // No hace falta; con esta implementación se puede asignar normalmente

  /* Entrada / Salida */
  void leer_poli(int marca);
  void escribir_poli() const;
};

///////////////////////////////////////////////////////////////////////////////

#endif
