#ifndef PILA_IO_INT
#define PILA_IO_INT

#include "utils.PRAP"
#include "Pila.hpp"

inline void
leer_pila_int(Pila<int> &p, int marca)
{
  int n;
  cin >> n;
  while (n != marca){
    p.apilar(n);
    cin >> n;
  }
}

inline void
escribir_pila_int(const Pila<int> &p)
{
  cout << "[Cima] ";
  Pila<int> copia(p); // copiamos p para que no se destruya y no tener 
  while(not copia.es_nula()){ //que acordarnos de copiarla fuera
    cout << copia.cima() << " ";
    copia.desapilar(); // el que no haya salto de linea solo interesa
  }                   // si la pila no es muy grande
  cout << "[Ultimo]"<<endl;
}

#endif
