/****************************************
 *        US DE PILES 			*
 ****************************************/

#include "ColaIOint.hpp"

bool pertcola_rec(Cola<int> &S, int i);
bool pertcola_it(Cola<int> &S, int i);

int main() 
{
  cout << "Escribe la cola, acabada en 0:" << endl;
  Cola<int> p;
  leer_cola_int(p,0);
  cout << "Escribe el elemento a buscar:" << endl;
  int valor=readint();
   
  Cola<int> copia(p);
  cout << "Version iterativa o recursiva (escribe 1 o 2):" << endl;
  int i =readint(); bool es_trobat;
  if (i==1) es_trobat = pertcola_it(copia, valor);
  else if (i==2) es_trobat = pertcola_rec(copia, valor);
  else throw PRAPExcepcio("Hay que escribir 1 o 2");
 
  if( es_trobat)
    cout << "     Esta" << endl;
  else
    cout << "     No esta" << endl;
  cout << "Escribimos la cola para ver que no se ha destruido:" << endl;
  escribir_cola_int(p);
}

bool pertcola_rec(Cola<int> &S, int i)
{
  bool ret;
  if(S.es_nula()) ret=false; 
  else 
    if (S.primero() == i ) ret=true;
    else {
      S.avanzar(); 
      ret=pertcola_rec(S,i);
    }
  return ret;
}

bool pertcola_it(Cola<int> &S, int i)
{
  bool ret=false;
  while(!S.es_nula() && !ret){
    ret = (S.primero() == i);
    S.avanzar();
  }
  return ret;
}





